@import '../../common/admin-edit';

:host {
  form.player-category {
    display: grid;
    grid-template-columns: 1fr 1fr 3rem;
    grid-template-areas: 'category limit action';
    gap: .5rem;
    align-items: center;
    justify-items: center;
    padding: .5rem 0;
    border-bottom: solid rgba(0, 0, 0, 0.12) 1px;

    &:last-of-type {
      border-bottom: none;
    }

    .category {
      grid-area: category;
    }
    .limit {
      grid-area: limit;
    }
    .action {
      grid-area: action;
    }

    .mat-form-field {
      width: 100%;
    }
  }

  form {
    button.mat-stroked-button {
      align-self: flex-end;
    }
  }
}
